域名
获取域名
返回面向客户的域名详情。
GET
/
v1
/
public
/
accounts
/
{account_id}
/
domains
/
{domain}
获取域名
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"outbound_routing_ready": true,
"status": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_renew": false,
"created_at": "<string>",
"dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dns_records": [
{
"id": 123,
"name": "<string>",
"ttl": 123,
"type": "<string>",
"value": "<string>",
"is_system_managed": false,
"priority": 123
}
],
"inbound_tenant_external_id": "<string>",
"inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_name": "<string>",
"inbound_tenant_type": "<string>",
"mailboxes": [
{
"active": true,
"email": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>"
}
],
"redirect_mode": "301",
"redirect_url": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}授权
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
响应
域名 UUID
域名
呼出路由是否准备好
域生命周期状态
包含域的工作空间 UUID
是否启用域名自动续订
域创建时间戳
分配专用 IP UUID(如果有)
DNS 域记录
入站租户的提供商外部 ID
入站租户 UUID(如果已分配)
入站租户显示名称(如果已分配)
入站租户类型(如果已分配)
配置的重定向模式(如果有)
可用选项:
301, 302, iframe 配置的重定向 URL(如果有)
域上次更新时间戳
此页面对您有帮助吗?
⌘I
获取域名
